package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundCompanyInfo;
import com.tanpu.fund.entity.generator.FundCompanyInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundCompanyInfoMapper {
    long countByExample(FundCompanyInfoExample example);

    int deleteByExample(FundCompanyInfoExample example);

    /**
     * delete by primary key
     *
     * @param companyId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String companyId);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundCompanyInfo record);

    int insertOrUpdate(FundCompanyInfo record);

    int insertOrUpdateSelective(FundCompanyInfo record);

    int insertOrUpdateWithBLOBs(FundCompanyInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundCompanyInfo record);

    List<FundCompanyInfo> selectByExampleWithBLOBs(FundCompanyInfoExample example);

    List<FundCompanyInfo> selectByExample(FundCompanyInfoExample example);

    /**
     * select by primary key
     *
     * @param companyId primary key
     * @return object by primary key
     */
    FundCompanyInfo selectByPrimaryKey(String companyId);

    int updateByExampleSelective(@Param("record") FundCompanyInfo record, @Param("example") FundCompanyInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") FundCompanyInfo record, @Param("example") FundCompanyInfoExample example);

    int updateByExample(@Param("record") FundCompanyInfo record, @Param("example") FundCompanyInfoExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundCompanyInfo record);

    int updateByPrimaryKeyWithBLOBs(FundCompanyInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundCompanyInfo record);

    int updateBatch(List<FundCompanyInfo> list);

    int batchInsert(@Param("list") List<FundCompanyInfo> list);
}